namespace HermesSocketLibrary.Quests.Tasks
{
    public class EmoteMessageQuestTask : IQuestTask
    {
        public string Name => $"send {Target} messages";
        public QuestType Type { get; set; }
        public int Target { get; }

        public EmoteMessageQuestTask(int target)
        {
            Target = target;
        }

        public bool IsCompleted(int counter)
        {
            return counter >= Target;
        }

        public bool Process(long chatterId, string message, HashSet<string> emotes)
        {
            if (string.IsNullOrWhiteSpace(message))
                return false;

            return emotes.Count > 0;
        }
    }
}